Package org.kapott.hbci.GV_Result

# Class GVRVoP.VoPResult

java.lang.Object
org.kapott.hbci.GV_Result.GVRVoP.VoPResult

Enclosing class:
  `GVRVoP`

public static class GVRVoP.VoPResult extends Object
Das Gesamt-Ergebnis der Prüfung.

## Constructor Summary

Constructors
Constructor
Description
`VoPResult()`

## Method Summary

Modifier and Type
Method
Description
`List<GVRVoP.VoPResultItem>`
`getItems()`
Liefert die Ergebnis-Liste.
`String`
`getPollingId()`
Liefert die Polling-ID.
`String`
`getText()`
Liefert den von der Bank gemeldeten Info-Text.
`String`
`getVopId()`
Liefert die VoP-ID.
`void`
`setPollingId(String pollingId)`
Speichert die Polling-ID.
`void`
`setText(String text)`
Speichert den von der Bank gemeldeten Info-Text.
`void`
`setVopId(String vopId)`
Speichert die VoP-ID.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VoPResult

public VoPResult()

## Method Details

### getVopId

public String getVopId()
Liefert die VoP-ID.

Returns:
  die VoP-ID.

### setVopId

public void setVopId(String vopId)
Speichert die VoP-ID.

Parameters:
  `vopId` - die VoP-ID.

### getPollingId

public String getPollingId()
Liefert die Polling-ID.

Returns:
  die Polling-ID.

### setPollingId

public void setPollingId(String pollingId)
Speichert die Polling-ID.

Parameters:
  `pollingId` - die Polling-ID.

### getText

public String getText()
Liefert den von der Bank gemeldeten Info-Text.

Returns:
  der von der Bank gemeldete Info-Text.

### setText

public void setText(String text)
Speichert den von der Bank gemeldeten Info-Text.

Parameters:
  `text` - der von der Bank gemeldete Info-Text.

### getItems

public List<GVRVoP.VoPResultItem> getItems()
Liefert die Ergebnis-Liste.

Returns:
  items die Ergebnis-Liste.